petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetNPC

Creates a nonlinear preconditioning solver (SNES) to be used to precondition the nonlinear solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetNPC(SNES snes, SNES *pc)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

pc -preconditioner context

### Notes

If a SNES was previously set with SNESSetNPC() then that SNES is returned.

### Keywords

SNES, get, preconditioner

### See Also

SNESSetNPC(), SNESHasNPC()

### Level

developer

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex35.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages